1. MiniPOS Products API
UCS MiniPOS API - PUBLIC
  • MIDserver
    • MiniPOS Invoice API
      • ValidateInvoice
      • New Sales Invoice - Basic
      • New Refund Invoice - Basic
      • New Sales Invoice - Advanced
      • New Sales Invoice + Slip after payment
      • New Non fiscal slip
      • Get Invoice List
      • Get Invoice by ID
  • CRMserver
    • MiniPOS Products API
      • GET Products List
        GET
      • GET Product by ID
        GET
      • DELETE Product by ID
        DELETE
      • Change Product by ID
        PUT
      • Create new Product Basic
        POST
      • Create new Product Advanced
        POST
    • MiniPOS Categories API
      • Create new Category
    • MiniPOS Shift Data API
      • GET shifts
      • GET receipts
  1. MiniPOS Products API

Create new Product Advanced

POST
/api/products

Request

Body Params application/json

Examples

Responses

🟢201
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/products' \
--header 'Content-Type: application/json' \
--data-raw '{
    "barcodes": [
        {
            "barcode": "1215846233",
            "discount": 0,
            "discount_type": null,
            "default_quantity": 1
        },
        {
            "barcode": "456231879",
            "discount": 10,
            "discount_type": "percent",
            "default_quantity": 1
        },
        {
            "barcode": "4584932146",
            "discount": 0,
            "discount_type": null,
            "default_quantity": 5
        }
    ],
    "addons": [
        9,
        3
    ],
    "status": 1,
    "code": 4788,
    "name": "ItemName Advanced",
    "price": 1,
    "is_free_price": false,
    "is_weight": false,
    "default_quantity": 1,
    "payload": "SomePayload",
    "info": {
        "blocks": [
            {
                "kind": "text",
                "content": "Some text here1"
            },
            {
                "code": "1234567890123",
                "kind": "barcode",
                "type": 2
            },
            {
                "kind": "text",
                "content": "Some text here2"
            }
        ]
    },
    "no_discount": false,
    "category": 1,
    "fiscal_section": 1,
    "tax": 2
}'
Response Response Example
{
    "id": 36,
    "barcodes": [
        {
            "barcode": "1215846233",
            "discount": 0,
            "discount_type": null,
            "default_quantity": 1
        },
        {
            "barcode": "456231879",
            "discount": 10,
            "discount_type": "percent",
            "default_quantity": 1
        },
        {
            "barcode": "4584932146",
            "discount": 0,
            "discount_type": null,
            "default_quantity": 5
        }
    ],
    "addons": [
        9,
        3
    ],
    "status": 1,
    "code": 4788,
    "name": "ItemName Advanced",
    "price": 1,
    "is_free_price": false,
    "is_weight": false,
    "default_quantity": 1,
    "payload": "SomePayload",
    "created_at": "2026-02-18T10:09:47.581559+02:00",
    "updated_at": "2026-02-18T10:09:47.581559+02:00",
    "info": {
        "blocks": [
            {
                "kind": "text",
                "content": "Some text here1"
            },
            {
                "code": "1234567890123",
                "kind": "barcode",
                "type": 2
            },
            {
                "kind": "text",
                "content": "Some text here2"
            }
        ]
    },
    "no_discount": false,
    "category": 1,
    "fiscal_section": 1,
    "tax": 2
}
Modified at 2026-04-15 12:52:15
Previous
Create new Product Basic
Next
Create new Category
Built with